%define major   0.9.6
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:       podofo
Version:    0.9.6
%define subrel 1
Release:    %mkrel 1
Summary:    Tools and libraries to work with the PDF file format
Group:      Publishing
License:    GPL and LGPL
URL:        http://podofo.sourceforge.net
Source0:    http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:     podofo-0.9.3-fix-test-type.patch
Patch1:     podofo-0.9.4-freetype.patch
# https://sourceforge.net/p/podofo/tickets/30/
Patch2:     podofo-0.9.6-pkg-config.patch

# Backport patch for CVE-2018-5783
# https://sourceforge.net/p/podofo/code/1949
Patch10:        podofo_CVE-2018-5783.patch
# Backport patch for CVE-2018-11254
# https://sourceforge.net/p/podofo/code/1941
Patch11:        podofo_CVE-2018-11254.patch
# Backport patch for CVE-2018-11255
# https://sourceforge.net/p/podofo/code/1952
Patch12:        podofo_CVE-2018-11255.patch
# Backport patch for CVE-2018-11256
# https://sourceforge.net/p/podofo/code/1938
Patch13:        podofo_CVE-2018-11256.patch
# Backport patch for CVE-2018-12982
# https://sourceforge.net/p/podofo/code/1948
Patch14:        podofo_CVE-2018-12982.patch
# Backport patch for CVE-2018-14320
# https://sourceforge.net/p/podofo/code/1953
Patch15:        podofo_CVE-2018-14320.patch
# Backport patch for CVE-2018-19532
# https://sourceforge.net/p/podofo/code/1950
Patch16:        podofo_CVE-2018-19532.patch
# Backport patch for CVE-2018-20751
# https://sourceforge.net/p/podofo/code/1954
Patch17:        podofo_CVE-2018-20751.patch
# Backport patch for CVE-2019-9199
# https://sourceforge.net/p/podofo/code/1971/
Patch18:        podofo_CVE-2019-9199.patch
# Backport patch for CVE-2019-9687
# https://sourceforge.net/p/podofo/code/1969
Patch19:        podofo_CVE-2019-9687.patch

# Downstream patch for CVE-2019-20093
# https://sourceforge.net/p/podofo/tickets/75/
Patch20:        podofo_CVE-2019-20093.patch
# Proposed patch for CVE-2018-12983
# https://sourceforge.net/p/podofo/tickets/23/
Patch21:        podofo_CVE-2018-12983.diff
# https://sourceforge.net/p/podofo/tickets/101/
Patch22:        podofo_maxbytes.patch

BuildRequires:  cmake
BuildRequires:  lua5.3-devel
BuildRequires:  pkgconfig(cppunit)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libidn)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(zlib)

%description
PoDoFo is a library to work with the PDF file format. The name comes from
the first letter of PDF (Portable Document Format). A few tools to work
with PDF files are already included in the PoDoFo package.

The PoDoFo library is a free, portable C++ library which includes classes
to parse PDF files and modify their contents into memory. The changes can be
written back to disk easily. The parser can also be used to extract
information from a PDF file (for example the parser could be used in a PDF
viewer). Besides parsing PoDoFo includes also very simple classes to create
your own PDF files. All classes are documented so it is easy to start writing
your own application using PoDoFo.


%package -n %{libname}
Summary:    Runtime library for %{name}
Group:      System/Libraries
License:    LGPLv2+

%description -n %{libname}
Runtime library for %{name}.


%package -n %{devname}
Summary:    Development files for %{name} library
Group:      Development/C
License:    LGPLv2+
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files and documentation for the %{name} library.


%prep
%setup -q
%autopatch -p1

# fix pkgconfig file version
sed -i 's|@PODOFO_VERSION@|@PODOFO_SOVERSION@|' src/libpodofo.pc.in

%build
mkdir -p "test/TokenizerTest/objects"

%cmake -DPODOFO_BUILD_SHARED=1
%make_build

%install
%make_install -C build

%files
%doc COPYING
%{_bindir}/%{name}*

%files -n %{libname}
%doc AUTHORS COPYING.LIB ChangeLog FAQ.html README.html TODO
%{_libdir}/lib%{name}.so.%{major}

%files -n %{devname}
%doc doc/html
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_mandir}/man1/%{name}*.1*


%changelog
* Fri Jul 17 2020 ns80 <ns80> 0.9.6-1.1.mga7
+ Revision: 1606687
- add fedora patches for several security issues (mga#24385)

* Mon Jan 21 2019 luigiwalser <luigiwalser> 0.9.6-1.mga7
+ Revision: 1358766
- 0.9.6 (final)
- add patches from upstream via fedora to fix more security issues

* Fri Nov 02 2018 kekepower <kekepower> 0.9.6-0.r1947.1.mga7
+ Revision: 1327669
- Update to latest revision, svn r1947
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Fri May 11 2018 kekepower <kekepower> 0.9.6-0.r1855.3.mga7
+ Revision: 1228378
- Rebuild for libidn 1.35

* Sat Sep 09 2017 cjw <cjw> 0.9.6-0.r1855.2.mga7
+ Revision: 1152040
- rebuild for openssl 1.1
- revert BR pkgconfig(lua) back to lua5.2-devel

* Sat Jul 01 2017 akien <akien> 0.9.6-0.r1855.1.mga6
+ Revision: 1108854
- SVN snapshot r1855, pre 0.9.6 with many security fixes (mga#20234)
- Add libidn and libpng BRs

* Fri Aug 12 2016 luigiwalser <luigiwalser> 0.9.4-1.mga6
+ Revision: 1046114
- 0.9.4

* Fri Feb 12 2016 umeabot <umeabot> 0.9.3-7.mga6
+ Revision: 958545
- Mageia 6 Mass Rebuild

* Wed Aug 26 2015 cjw <cjw> 0.9.3-6.mga6
+ Revision: 870013
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-5.mga5
+ Revision: 748008
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-4.mga5
+ Revision: 687702
- Mageia 5 Mass Rebuild

* Sun Sep 14 2014 wally <wally> 0.9.3-3.mga5
+ Revision: 675259
- fix lib pkg name
- drop old and unneeded obsoletes

* Sat Sep 06 2014 diogenese <diogenese> 0.9.3-2.mga5
+ Revision: 672902
- Updated source to 0.9.3
- Patched Encrypt test for i586 build
+ luigiwalser <luigiwalser>
- 0.9.3
- remove upstreamed patches

* Sun Jul 06 2014 fwang <fwang> 0.9.2-3.mga5
+ Revision: 644177
- build with recent freetype
+ tv <tv>
- patch 0: fix build with lua-5.2 (from FC)
- rebuild with lua-5.2

* Sat Oct 19 2013 umeabot <umeabot> 0.9.2-2.mga4
+ Revision: 528172
- Mageia 4 Mass Rebuild

* Sun Jun 16 2013 sander85 <sander85> 0.9.2-1.mga4
+ Revision: 443640
- New version: 0.9.2

* Sun Jan 13 2013 umeabot <umeabot> 0.9.1-3.mga3
+ Revision: 378003
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 13 2013 fwang <fwang> 0.9.1-2.mga3
+ Revision: 367781
- fix build with gcc 4.7

* Fri Dec 23 2011 fwang <fwang> 0.9.1-2.mga2
+ Revision: 186418
- rebuild for new libtiff

* Wed Sep 28 2011 supp <supp> 0.9.1-1.mga2
+ Revision: 150008
- update to 0.9.1

* Sun Mar 27 2011 blino <blino> 0.8.4-1.mga1
+ Revision: 78045
- imported package podofo

